[data-component-scope="brand-custom"].footer {
    display: grid;
    gap: 10rem;
    padding: 3rem 5% 10rem;

    background-color: var(--color-primary);

    color: var(--color-tertiary);
    font-size: 1.4rem;
    line-height: 1;
}

[data-component-scope="brand-custom"] a {
    transition: color var(--transition-duration-color) var(--transition-timing-fn);
}

[data-component-scope="brand-custom"] a:is(:hover, :focus-visible, :active) {
    color: var(--color-accent);
}

[data-component-scope="brand-custom"] .footer__upper {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    justify-content: space-around;

    color: var(--color-tertiary);
}

@media (max-width: 839px) {
    [data-component-scope="brand-custom"] .footer__upper {
        text-align: center;
    }
}

[data-component-scope="brand-custom"] .footer__info {
    display: grid;
    gap: 3rem;
}

@media (max-width: 839px) {
    [data-component-scope="brand-custom"] .footer__info {
        width: 100%;

        justify-items: center;
    }
}

@media (min-width: 840px) {
    [data-component-scope="brand-custom"] .footer__logo {
        justify-self: start;
    }
}

[data-component-scope="brand-custom"] .footer__logo-img {
    display: block;

    width: 100%;
    height: auto;
    max-width: 200px;
    max-height: 64px;
}

[data-component-scope="brand-custom"] .footer__social {
    display: flex;
    gap: 4rem;
}

[data-component-scope="brand-custom"] .footer__social :is(svg, img) {
    display: block;
    width: 2rem;
    height: 2rem;
}

[data-component-scope="brand-custom"] .footer__langs {
    display: flex;
    gap: 1rem;

    text-transform: uppercase;
    font-size: 1.7rem;
    font-family: var(--font-serif);
}

[data-component-scope="brand-custom"] .footer__links {
    font-size: 1.4rem;
}

[data-component-scope="brand-custom"] .footer__links-title {
    font-family: var(--font-serif);
    line-height: 2.4rem;
    font-size: 1.7rem;
}

[data-component-scope="brand-custom"] .footer__links-item {
    display: block;
    margin: 4px 0;
}

[data-component-scope="brand-custom"] .footer__lower {
    color: var(--color-tertiary);
}

[data-component-scope="brand-custom"] .footer__brands {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 2rem;

    margin: 0 auto;
    max-width: 840px;
}

[data-component-scope="brand-custom"] .footer__brands-img {
    display: block;
    width: auto;
    height: 100%;
    max-height: 66px;
}
